# Method: accounts.finalizedProposals.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.finalizedProposals/list#try-it)

List finalized proposals, regardless if a proposal is being renegotiated. A filter expression (PQL query) may be specified to filter the results. The notes will not be returned.

### HTTP request

`GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/finalizedProposals`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` Account ID of the buyer. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` An optional PQL filter query used to query for proposals. Nested repeated fields, such as proposal.deals.targetingCriterion, cannot be filtered. |
| `pageSize` | `integer` Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` The page token as returned from ListProposalsResponse. |
| `filterSyntax` | ``enum (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/FilterSyntax`)`` Syntax the filter is written in. Current implementation defaults to PQL but in the future it will be LIST_FILTER. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/ListProposalsResponse`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`